Downloads

Akeeba Backup for Joomla!

Akeeba Backup for Joomla!

version 3.9.0 Stable

Released on: Wednesday, 20 November 2013 07:24

Release Notes

General information

If you have a problem after or before installing the component please read our troubleshooting page. These issues are more likely to occur if you try to upgrade this component while you have an older version of another component of ours still installed on your site.

Release highlights

Integrated Log Analyser (Professional version). Users of Akeeba Backup Professional now have a great troubleshooting tool called ALICE. It analyses your log file and tries to figure out why the backup failed, helping you fix it. It contains most of the knowledge we have acquired doing this job manually the last 7 years. Now we can proudly say that it's automated!

Restoration of database only archives made easy (Professional version). When you used the "All configured databases (archive file)" backup type you used to get a backup archive containing just the SQL files and nothing more. As of this version the restoration script (ANGIE) is included in them, making it dead easy to restore this kind of database only archives using Kickstart.

Massively updated System Restore Points (SRP) feature (Professional version). Our old System Restore Points feature would override the Joomla! extensions installer. This would lead to various problems. Our new SRP feature works in a different way making it far more reliable and allowing it to also take a system restore point backup of extensions updated through Joomla!'s extensions updater feature.

You can now enter a custom S3 endpoint URL (Professional version). This is useful when you have a third party remote storage service offering an S3-compatible interface without waiting for us to write an integration with it. Very useful with solutions like OwnCloud – yes, you can now use OwnCloud!

The Box.net integration is temporarily removed. They have changed their API in a way that's incompatible with most of our clients' sites. We are working on a solution but please keep in mind that it will not be a pretty one: due to their new API you will have to authenticate to Box.net through our own site, with the obvious security and privacy concerns. We are still working on a solution which will minimise those concerns. As a result we decided to temporarily remove the Box.net integration until we can offer a solution that's up to par with our highest security and quality standards.

PHP 5.3 or 5.4 is required

This version requires PHP 5.3 or 5.4. The rationale behind this is explained in our statement of mid-February 2013. It won't install on hosts running PHP 5.2 or earlier. Moreover, due to the necessary Joomla! API changes found only in Joomla! 2.5.6 or later, this version will not install on Joomla! 2.5.5 or earlier versions. In any case, it will tell you exactly why it cannot be installed (minimum PHP or Joomla! version not satisfied).

Joomla! 2.5 and 3.2 are supported

This version of Akeeba Backup can be installed on Joomla! 2.5.6 or any later 2.5.x release, as well as any 3.2.x release. It is not compatible with Joomla! 3.0 or 3.1. These versions of Joomla! are old and vulnerable. If you are using them please upgrade to 3.2.

Changelog

Critical bugs and important changes

  • [CORE] The Core version would throw a white page
  • [PRO] System Restore Points causing a fatal error when the (broken!) Joomla! cache is enabled.

Our Core versions are provided free of charge,
but they only scratch the surface of what's possible.

Subscribe today to get access to the exclusive features and enhanced support of our Professional releases!

Subscribe and get full access!

Already a subscriber? Log in.